Summary: A GNU general-purpose parser generator.
Name: bison
Version: 1.35
Release: 6m
License: GPL
Group: Development/Tools
URL: http://www.gnu.org/directory/bison.html
Source: ftp://ftp.gnu.org/gnu/bison/bison-%{version}.tar.bz2
Patch: bison-1.30-man.patch
Prereq: info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR(1) context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison. You do need
to be very proficient in C programming to be able to use Bison).  Bison
is only needed on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%prep
%setup -q
%patch -p1 -b .man

%build
%configure
make LDFLAGS=-s

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

# remove
rm -f %{buildroot}%{_datadir}/info/dir

%post
/sbin/install-info %{_infodir}/bison.info.* %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/bison.info.* %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator."
fi

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_infodir}/bison.info*
%{_bindir}/*
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/locale/*/*/*

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.35-6m)
- revised spec for enabling rpm 4.2.

* Fri Nov 28 2003 Shotaro Kamio <skamio@momonga-linux.org>
- (1.35-5m)
- roll back to ver 1.35

* Sat Nov 15 2003 Shotaro Kamio <skamio@momonga-linux.org>
- (1.875-1m)
- version up
- bison-1.875-unusedlabel.patch from RawHide (1.875-5)

* Tue Oct 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.35-4m)
- domo 1.50 ha mazui rashii... makimodoshi suma-so

* Mon Oct 14 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.50-1m)
- version up.

* Mon Oct 14 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.35-3m)
- add %%dir %%{_datadir}/bison into %%files section

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (1.35-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.33-4k)
- /sbin/install-info -> info in PreReq.

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.33-2k)
- update to 1.33
  fix URL.

* Thu Oct 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.28-12k)
- revert to 1.28, because bison-1.29 does not build XFree86

* Sat Oct 20 2001 Motonobu Ichimura <famao@kondara.org>
- (1.29-2k)
- up to 1.29
- now original archive includes ja.po

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (1.28-10k)
- rebuild against gettext 0.10.40.

* Sat Oct 13 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.28-2).

* Fri Feb 25 2000 Shingo Akagaki <dora@kondara.org>
- more fix files section

* Fri Feb 25 2000 Shingo Akagaki <dora@kondara.org>
- change files section

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- add ja.po from japo ML

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.28.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
